Package twisted :: Package protocols :: Module htb :: Class FilterByServer |
[frames | no frames]

## Class FilterByServer

    HierarchicalBucketFilter --+
                               |
                              FilterByServer

A bucket filter with a bucket for each service.

Method Summary
| `getBucketKey(self, transport)`
Inherited from HierarchicalBucketFilter
| ``__init__`(self, parentFilter)`
`Bucket` | ``getBucketFor`(self, *a, **kw)` You want a bucket for that? I'll give you a bucket.
| ``sweep`(self)` I throw away references to empty buckets.

Class Variable Summary
int | `sweepInterval`: Seconds between sweeping out the bucket cache.
Inherited from HierarchicalBucketFilter
`tuple` | `__implements__` = `(<class twisted.protocols.htb.IBucketFi...`

Class Variable Details

    ### sweepInterval Seconds between sweeping out the bucket cache. Type: int Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:07 2003 | http://epydoc.sf.net